Bug 117138 - background-color is not preserved when inserting a new paragraph
Summary: background-color is not preserved when inserting a new paragraph
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: HTML Editing (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Lukasz Gajowy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-03 04:15 PDT by Lukasz Gajowy
Modified: 2013-06-14 21:42 PDT (History)
3 users (show)

See Also:


Attachments
Test case showing the bug. (372 bytes, text/html)
2013-06-03 04:15 PDT, Lukasz Gajowy
no flags Details
Proposed fix. (4.28 KB, patch)
2013-06-04 01:12 PDT, Lukasz Gajowy
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lukasz Gajowy 2013-06-03 04:15:44 PDT
Created attachment 203572 [details]
Test case showing the bug.

Steps to reproduce (on the test page included):

1. Place the caret after "Text1".
2. Press enter.
3. Write anything.

The text you write should have red background and green color.
Comment 1 Grzegorz Czajkowski 2013-06-03 04:24:23 PDT
Similar problem with merging paragraph bug 116215
Comment 2 Lukasz Gajowy 2013-06-04 01:12:22 PDT
Created attachment 203662 [details]
Proposed fix.
Comment 3 WebKit Commit Bot 2013-06-14 21:42:39 PDT
Comment on attachment 203662 [details]
Proposed fix.

Clearing flags on attachment: 203662

Committed r151612: <http://trac.webkit.org/changeset/151612>
Comment 4 WebKit Commit Bot 2013-06-14 21:42:41 PDT
All reviewed patches have been landed.  Closing bug.